@import "../../../assets/scss/global";

.o-question-preview-section {
  max-width: 114rem;
  margin: 0 auto;
  padding: 0 1.6rem;

  background: #fff;
  box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);
  border-radius: 1.2rem;

  &__header {
    padding: 1.6rem 0.8rem;

    display: flex;
    align-items: center;

    .__banner {
      width: 3.2rem;
      height: 3.2rem;
      margin: 0 0.8rem 0 0;

      display: flex;
      align-items: center;
      justify-content: center;

      background: #35b9e5;
      border-radius: 50%;

      color: #fff;
      font-size: 1.6rem;
      font-weight: 900;

      img {
        width: 2rem;
        height: 2rem;

        object-fit: contain;
        object-position: center;
      }
    }

    .__title {
      padding: 0 0 0 1.6rem;

      flex: 1;

      color: #374352;
      font-size: 1.6rem;
      font-weight: 600;
    }
  }

  &__item {
    position: relative;

    margin: 0 0 1.4rem 0;
    padding: 1.2rem 0 3.2rem 0;

    border-top: 0.1rem solid #d5dee8;
  }

  &__id {
    position: absolute;
    top: 12px;
    right: 0;
    font-weight: 500;
    font-size: 13px;
    line-height: 24px;
    color: #FFFFFF;
    padding: 4px 8px;
    background: $primary-color;
    border-radius: 8px;
  }

  &__replace {
    position: absolute;
    top: 5rem;
    right: 0;

    width: 4rem;
    height: 4rem;
    padding: 0;

    background: transparent !important;
    border-radius: 50%;

    cursor: pointer;

    img {
      width: 100%;
      height: 100%;

      object-fit: contain;
      object-position: center;
    }
  }
}
